import sys
import requests
import time
from requests.exceptions import *

for link in sys.stdin:

    link = link.rstrip()
    print(link, file=sys.stderr)

    try:
        request = requests.get(link)
        print(link, request.status_code, 'ok')

    except SSLError as e:
        print(link, "0", e)

    except ConnectionError as e:
        print(link, "0", e)
    time.sleep(0.1)
